### Method

# WebKit2WebExtension DOMUIEvent init_ui_event

#### Declaration [src]

    void
    webkit_dom_ui_event_init_ui_event (
      WebKitDOMUIEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      glong detail
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`type` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`canBubble` | `gboolean`
| A #gboolean.
`cancelable` | `gboolean`
| A #gboolean.
`view` | `WebKitDOMDOMWindow`
| A `WebKitDOMDOMWindow`.
| The data is owned by the caller of the function.
`detail` | `glong`
| A #glong.